/* Define the fonts */
@font-face {
  font-family: "IndieFlower";
  src: url("assets/fonts/IndieFlower-Regular.ttf");
}

/* Define the colour system */
/* Below colours taken from: https://m2.material.io/design/color/the-color-system.html#tools-for-picking-colors */
:root {
  --primary-background: #083739;
  --primary-foreground: #ffffff;
  --primary-variant-background: #035257;
  --primary-variant-foreground: #ffffff;
  --secondary-background: #58231c;
  --secondary-foreground: #ffffff;
  --secondary-variant-background: #c6958fe8;
  --secondary-variant-foreground: #ffffff;
  --error-background: #B00020;
  --error-foreground: #ffffff;
}

html,
body,
.sideBarItem,
.colourPalette,
.bottomPanel {
  font-family: "IndieFlower", Courier, Monospaced, serif;
}

html,
body {
  margin: 0;
  height: 100%;
  padding: 0;
}

#leftSideBar {
  grid-area: leftSideBar;
  align-items: center;
  justify-content: center;
}

#rightSideBar {
  grid-area: rightSideBar;
}

.content {
  grid-area: content;
  padding: 0;
  margin: 0;
  overflow: hidden;
  cursor: crosshair;
  background: #ffffff;
}

.header {
  grid-area: header;
}

.dummy {
  grid-area: dummy;
}

.footer {
  grid-area: footer;
}

.sideBarItem {
  max-height: 35px;
  max-width: 35px;
  padding: 5px;
  margin: 5px;
  background: var(--secondary-background);
  color: var(--secondary-variant-background);
  border: var(--secondary-variant-background);

}

.sideBarItem img {
  max-height: 35px;
  max-width: 35px;
  border: var(--secondary-variant-background);
}

.colourPalette {
  /*grid-area: colourP;*/
  display: grid;
  grid-auto-flow: row;
  grid-column-gap: 1px;
  padding-top: 3px;
  grid: repeat(2, 50px) / repeat(9, 50px);
}

.bottomPanel {
  display: grid;
  grid-area: bottomPanel;
  grid-auto-flow: row;
  padding: 10px;
  font-size: 18px;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  grid-gap: 10px;
}

.options {
  grid-area: options;
  grid-template-rows: 1fr 1fr 5fr;
  padding: 10px;
}

.subOptionsButtons {
  display: grid;
  grid-template-rows: repeat(3, minmax(0px, min-content));
  grid-template-columns: minmax(260px, max-content);
  margin-left: 20px;
  grid-gap: 10px;
}

.subOptionsMenus {
  display: grid;
  grid-template-rows: repeat(3, min-content);
  grid-template-columns: minmax(260px, max-content);
  margin-left: 20px;
  grid-gap: 10px;
}

.colourSwatches {
  box-sizing: border-box;
  width: 40px;
  height: 40px;
  max-height: 40px;
  max-width: 40px;
  margin: 5px;
  border: 4px solid var(--secondary-background);
}

.wrapper {
  display: grid;
  height: 97.5%;
  grid-template-columns: 63px minmax(300px,5fr) 400px;
  grid-template-rows: min-content minmax(400px, 1fr) 160px;
  grid-template-areas:
    "header header header"
    "leftSideBar content options"
    "leftSideBar bottomPanel rightSideBar";
}

.box {
  background-color: var(--primary-variant-background);
  color: var(--primary-variant-foreground);
  font-size: 150%;
}

.header {
  background-color: var(--primary-background);
  color: var(--primary-foreground);
  padding: 10px;
  font-size: 30px;
}

.btn {
  align-self: center;
}

button, option, select, optgroup {
  font-size: 18px;
  font-weight: bolder;
  font-family: "IndieFlower", monospace, serif;
  padding: 4px 12px;
  margin-left: 5px;
  background-color: var(--secondary-background);
  color: var(--secondary-foreground);
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button:hover {
  background-color: var(--secondary-variant-background);
  color: var(--secondary-variant-foreground);
}

button:active {
  background-color: var(--secondary-variant-background);
  color: var(--error-foreground); /* Change the text color when the button is active */
}

button:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

/* Tooltip text */
.sideBarItem .tooltiptext {
  visibility: hidden;
  font-size: 14px;
  color:var(--secondary-background);
  background-color:var(--secondary-foreground);
  border:1px solid var(--secondary-background);
  padding:5px;
  border-radius:25%;
  position: absolute;
  z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
.sideBarItem:hover .tooltiptext {
  visibility: visible;
}

body {
  background-color: var(--primary-variant-background);
}
